> For the complete documentation index, see [llms.txt](https://docs.rewst.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rewst.help/updates/development-updates/2023-dev-updates/april-21st-2023.md).

# April 21, 2023 - Dev Update

Explore what new changes the Dev team has deployed in the last week!

This can be anything from new features, bug fixes or QoL changes!

<details>

<summary><strong>New features and items</strong></summary>

* Ability to filter out and redact task inputs and output from results

</details>

<details>

<summary><strong>Bug fixes and chores</strong></summary>

* Improved EXO proxy error handling
* Added Get Length transform missing param
* Fixed bug where attributes were missing in form list table
* Removed false positive error on SQL database integration
* Fixed a race condition causing workflows ending with multiple webhook receiver tasks causing workflows to get stuck in a running state and never complete
* Fixed Redis Max Number of Clients Reached Errors

</details>

<details>

<summary><strong>In review, testing and development</strong>Integration multi-tenancyAcronis integrationCrate marketplace improvements</summary>

</details>

If you'd like to see these in action, review the latest [Open Mic recording here](/updates/roc-open-mics/roc-open-mics-north-america/2023-roc-open-mics/april-21st-2023-redacted-and-custom-integrations.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rewst.help/updates/development-updates/2023-dev-updates/april-21st-2023.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
